curl --request POST \
--url https://api.tread-horizon.com/v1/users/me/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "<string>",
"location": {
"occurred_at": "2023-11-07T05:31:56Z",
"lat": 43.6532,
"lon": -79.3832,
"job_id": "c07736a0-69e1-41a9-8d67-60d10be30deb",
"accuracy": 123,
"speed_meters_per_second": 123,
"bearing_degrees": 123
}
}
'{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}Set the current location for a User’s Mobile Device
curl --request POST \
--url https://api.tread-horizon.com/v1/users/me/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "<string>",
"location": {
"occurred_at": "2023-11-07T05:31:56Z",
"lat": 43.6532,
"lon": -79.3832,
"job_id": "c07736a0-69e1-41a9-8d67-60d10be30deb",
"accuracy": 123,
"speed_meters_per_second": 123,
"bearing_degrees": 123
}
}
'{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
No Content